
/*
Copyright 2007-2008 Kim A. Brandt <kimabrandt@gmx.de>

This file is part of prefswitch.

Prefswitch is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Prefswitch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with prefswitch; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

var prefswitch = {
	PROGRAM_NAME: "Prefswitch",

	BOOLEAN: "boolean",
	INTEGER: "integer",
	STRING: "string",
	RESET: "reset",
	LIST: "list",
	LISTITEMS: "listitems",

	UNKNOWN: 0,
	CSS: 1,
	JS: 2,

	LOAD_PROFILE: "loadProfile",
	TOGGLE_CSS: "toggleCSS",
	TOGGLE_JS: "toggleJS",

	ROOT: "extensions.prefswitch.",
	FIRSTRUN: "extensions.prefswitch.firstrun",
	VERSION: "extensions.prefswitch.version",
	UPDATE_ROOT: "extensions.prefswitch.update.",
	UPDATE: "extensions.prefswitch.update.value",
	PROFILE_ROOT: "extensions.prefswitch.profile.",
	PROFILE: "extensions.prefswitch.profile.value",
	SHOW: "extensions.prefswitch.show",
	SHOW_CSS_ROOT: "extensions.prefswitch.showCSS.",
	SHOW_CSS: "extensions.prefswitch.showCSS.value",
	SHOW_JS_ROOT: "extensions.prefswitch.showJS.",
	SHOW_JS: "extensions.prefswitch.showJS.value",
	VALUE: "value",

	SWITCH_PATH: "extensions/prefswitch@mozdev.org/switch.xml",
	PROFILE_PATH: "extensions/prefswitch@mozdev.org/profile.xml",
	INJECT_PATH: "extensions/prefswitch@mozdev.org/inject",

	CHARSET: "UTF-8",
	CHARACTERS: {
		"&#38;": /&/g,
		"&#34;": /\"/g,
		"&#60;": /</g,
		"&#62;": />/g
	},

	$: function(id)
	{
		return document.getElementById(id);
	}
};
